## com.baidubce.services.moladb.model
Class CreateInstanceRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.CreateInstanceRequest

    public class CreateInstanceRequest

extends AbstractBceRequest

Represents the input of a CreateInstance operation.

Constructor Summary
`CreateInstanceRequest()` Constructs a new CreateInstanceRequest object.

Method Summary
`String` `getDescription()` Get the description information for the instance when creating an instance.
`String` `getInstanceName()` Get the name of instance when creating an instance.
`void` `setDescription(String description)` Set the description information for the instance when creating an instance.
`void` `setInstanceName(String name)` Set the name of instance when creating an instance.
`String` `toString()` Return a string representation of request information.
`CreateInstanceRequest` `withDescription(String description)` Set the description information for the instance when creating an instance.
`CreateInstanceRequest` `withInstanceName(String name)` Set the name of instance when creating an instance.
`CreateInstanceRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateInstanceRequest

    public CreateInstanceRequest()

  Constructs a new CreateInstanceRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### setInstanceName

    public void setInstanceName(String name)

  Set the name of instance when creating an instance.

  Parameters:
    `name` - The name of instance when creating an instance.

### withInstanceName

    public CreateInstanceRequest withInstanceName(String name)

  Set the name of instance when creating an instance.

  Parameters:
    `name` - The name of instance when creating an instance.
  Returns:
    A reference to this object so that method calls can be chained together.

### getInstanceName

    public String getInstanceName()

  Get the name of instance when creating an instance.

  Returns:
    The name of instance when creating an instance.

### setDescription

    public void setDescription(String description)

  Set the description information for the instance when creating an instance.

  Parameters:
    `description` - The description information for the instance when creating an instance.

### withDescription

    public CreateInstanceRequest withDescription(String description)

  Set the description information for the instance when creating an instance.

  Parameters:
    `description` - The description information for the instance when creating an instance.
  Returns:
    A reference to this object so that method calls can be chained together.

### getDescription

    public String getDescription()

  Get the description information for the instance when creating an instance.

  Returns:
    The description information for the instance when creating an instance.

### toString

    public String toString()

  Return a string representation of request information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of request information.

### withRequestCredentials

    public CreateInstanceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.